﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using IGT.SB.FloorView.Dwfx.Packing;

namespace IGT.SB.FloorView.Dwfx2XamlConverter
{
    /// <summary>
    /// Interaction logic for ConvertedView.xaml
    /// </summary>
    public partial class ConvertedView : Window
    {
        public ConvertedView(UIElement element)
        {
            InitializeComponent();
            this.convertedView.Child = null;
            this.convertedView.Child = element;

            this.scaleSlider.MouseDoubleClick += new MouseButtonEventHandler(RestoreScalingFactor);

            this.convertedView.Child.AddHandler(Path.MouseDownEvent, new RoutedEventHandler( this.OnMouseDown));
        }

        private void RestoreScalingFactor(object sender, MouseButtonEventArgs args)
        {
          ((Slider)sender).Value = 1.0;
        }

        private void OnPreviewMouseWheel(object sender, MouseWheelEventArgs e)
        {
          base.OnPreviewMouseWheel(e);

          if (Keyboard.IsKeyDown(Key.LeftCtrl) || Keyboard.IsKeyDown(Key.RightCtrl))
          {
            scaleSlider.Value += (e.Delta > 0) ? 1 : -1;
          }
        }

        private void OnMouseDown(object sender, RoutedEventArgs e)
        {
          
          Path line = e.OriginalSource as Path;
          if (null == line)
          {
            return;
          }

          line.Fill = new SolidColorBrush(Colors.Yellow);
          this.txtBlockInfo.Text = line.Tag.ToString();
        }

    }
}
