﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO.Packaging;
using System.Xml;
using System.IO;
using System.Globalization;

namespace JeffreySun.Dwfx.Packing
{
  class DwfxFixedPageReader : DwfxPartBase, IDwfxFixedPageReader, INode
  {
    private PackagePart metroPart;
    private IDwfxDocumentReader parentNode;
    private XmlDocument pageDocument;
    private XmlNodeList paths;

    internal DwfxFixedPageReader(DwfxManager dwfxManager, IDwfxDocumentReader parent, PackagePart part) : base(dwfxManager)
    {
        if (part == null)
        {
            throw new ArgumentNullException(string.Format(CultureInfo.InvariantCulture, "part", new object[0]));
        }

        base.Uri = part.Uri;
        this.metroPart = part;
        this.parentNode = parent;
    }

    public PackagePart MetroPart
    {
      get
      {
        return this.metroPart;
      }
    }

    public XmlDocument PageDocument
    {
      get
      {
        return this.pageDocument;
      }
    }

    public XmlNodeList Paths
    {
      get
      {
        return this.paths;
      }
    }

    public IDwfxDocumentReader ParentNode
    {
      get
      {
        return this.parentNode;
      }
    }

    public PackagePart GetPart()
    {
        return this.metroPart;
    }

    public void ResolveContent()
    {
      using (Stream stream = this.metroPart.GetStream(FileMode.Open, FileAccess.Read))
      {
        XmlDocument xmlDocument = new XmlDocument();
        xmlDocument.Load(stream);

        this.pageDocument = xmlDocument;
      }
    }
  }
}
