﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO.Packaging;

namespace JeffreySun.Dwfx.Packing
{
  public class DwfxGraphicsDictionaryReader : DwfxPartBase, INode, IDwfxGraphicsDictionaryReader
  {
    private PackagePart metroPart;
    private IDwfxDocumentReader parentNode;

    public DwfxGraphicsDictionaryReader(DwfxManager dwfxManager, IDwfxDocumentReader parent, PackagePart part)
      : base(dwfxManager)
    {
      base.Uri = part.Uri;
      this.metroPart = part;
      this.parentNode = parent;
    }

    public PackagePart GetPart()
    {
      return this.metroPart;
    }

    public Uri Uri
    {
      get
      {
        return base.Uri;
      }
      set
      {
        base.Uri = value;
      }
    }

    public PackagePart MetroPart
    {
      get
      {
        return this.metroPart;
      }
    }

    public IDwfxDocumentReader ParentNode
    {
      get
      {
        return this.parentNode;
      }
    }

    public void ResolveContent()
    {
 
    }
  }
}
