﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO.Packaging;

namespace JeffreySun.Dwfx.Packing
{
  public class DwfxResource : DwfxPartBase, INode, IDisposable
  {
    private PackagePart _metroPart;
    private INode _parentNode;

    public DwfxResource(DwfxManager dwfxManager, INode parent, PackagePart part)
      : base(dwfxManager)
    {
        if (part == null)
        {
            throw new ArgumentNullException("part");
        }

        base.Uri = part.Uri;
        this._parentNode = parent;
        this._metroPart = part;
    }

    public Uri RelativeUri(Uri inUri)
    {
        if (inUri == null)
        {
            throw new ArgumentNullException("inUri");
        }
        return new Uri(DwfxManager.MakeRelativePath(base.Uri, inUri), UriKind.Relative);
    }

    public void Dispose()
    {
      this._metroPart = null;
      this._parentNode = null;
    }

    public PackagePart GetPart()
    {
        return this._metroPart;
    }

  }
}
