﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Resources;
using System.Globalization;

namespace JeffreySun.Dwfx
{
  public static class SR
  {
    // Fields
    private static ResourceManager _resourceManager = new ResourceManager("ReachExceptionStringTable", typeof(SR).Assembly);

    // Methods
    public static string Get(string id)
    {
      string str = _resourceManager.GetString(id);
      if (str == null)
      {
        str = _resourceManager.GetString("Unavailable");
      }
      return str;
    }

    public static string Get(string id, params object[] args)
    {
      string format = _resourceManager.GetString(id);
      if (format == null)
      {
        return _resourceManager.GetString("Unavailable");
      }
      if ((args != null) && (args.Length > 0))
      {
        format = string.Format(CultureInfo.CurrentCulture, format, args);
      }
      return format;
    }

    // Properties
    public static ResourceManager ResourceManager
    {
      get
      {
        return _resourceManager;
      }
    }
  }
}
